Bug 1130566

Summary: Nautilus cannot copy files trough NFS to local HDD
Product: [Fedora] Fedora Reporter: John <john_k22>
Component: nautilusAssignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: high    
Version: 20CC: ccecchi, dabbill, mclasen, pb
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 22:05:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
journal none

Description John 2014-08-15 14:35:39 UTC
Description of problem:
Nautilus cannot copy files from NAS through NFS to local HDD

* NAS share is mount to PC like sudo mount -t nfs 190.190.0.5:/volume1/video /mnt/nas/
* Copy file from /mnt/nas to ~/Videos (or to any other directory)
* Popup window with copy progressbar appears but remains at 0%

Version-Release number of selected component (if applicable):
Kernel 3.15.8
Nautilus 3.10.1

This problem does not accour with kernel 3.15.6 or 3.15.4

How reproducible:
mount NAS share to local PC and copy a file with Nautilus to local HDD

Steps to Reproduce:
1.mount NAS share e.g. sudo mount -t nfs 190.190.0.5:/volume1/video /mnt/nas/
2.copy file from /mnt/nas to ~/Videos
3.Popup window from 

Actual results:
Nautilus does not copy files

Expected results:
Nautilus copies files

Additional info:
journalctl shows the following message:

Aug 15 16:33:03 yellowstone kernel: BUG: unable to handle kernel paging request at ffffffffffffffa1
Aug 15 16:33:03 yellowstone kernel: IP: [<ffffffffa109130b>] nfs3_list_one_acl+0x2b/0x80 [nfsv3]
Aug 15 16:33:03 yellowstone kernel: PGD 1c14067 PUD 1c16067 PMD 0 
Aug 15 16:33:03 yellowstone kernel: Oops: 0002 [#2] SMP 
Aug 15 16:33:03 yellowstone kernel: Modules linked in: nfsv3 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache ip6t_rpfilter ip6t_...table_se
Aug 15 16:33:03 yellowstone kernel:  tpm snd_seq_device snd_pcm drm snd_timer snd soundcore i2c_core mei_me mei shpchp nfsd vbo...mi video
Aug 15 16:33:03 yellowstone kernel: CPU: 3 PID: 2549 Comm: pool Tainted: P      D    OE 3.15.8-200.fc20.x86_64 #1
Aug 15 16:33:03 yellowstone kernel: Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./Z77X-D3H, BIOS F17f 11/21/2012
Aug 15 16:33:03 yellowstone kernel: task: ffff880212c4a780 ti: ffff8800bbe8c000 task.ti: ffff8800bbe8c000
Aug 15 16:33:03 yellowstone kernel: RIP: 0010:[<ffffffffa109130b>]  [<ffffffffa109130b>] nfs3_list_one_acl+0x2b/0x80 [nfsv3]
Aug 15 16:33:03 yellowstone kernel: RSP: 0018:ffff8800bbe8fe80  EFLAGS: 00010282
Aug 15 16:33:03 yellowstone kernel: RAX: ffffffffffffffa1 RBX: ffff8800bbe8feb8 RCX: 0000000000000000
Aug 15 16:33:03 yellowstone kernel: RDX: 0000000000000629 RSI: 0000000000008000 RDI: ffff8800bbe8fe20
Aug 15 16:33:03 yellowstone kernel: RBP: ffff8800bbe8fea8 R08: 0000000000000000 R09: ffff8800bbe8feb8
Aug 15 16:33:03 yellowstone kernel: R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000000
Aug 15 16:33:03 yellowstone kernel: R13: ffffffffa1092c2a R14: 0000000000000000 R15: 0000000000000000
Aug 15 16:33:03 yellowstone kernel: FS:  00007f48ef941700(0000) GS:ffff88021ed80000(0000) knlGS:0000000000000000
Aug 15 16:33:03 yellowstone kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 15 16:33:03 yellowstone kernel: CR2: ffffffffffffffa1 CR3: 00000000bde92000 CR4: 00000000001407e0
Aug 15 16:33:03 yellowstone kernel: Stack:
Aug 15 16:33:03 yellowstone kernel:  ffff8800a8a9b220 0000000000000000 0000000000000000 0000000000000000
Aug 15 16:33:03 yellowstone kernel:  0000000002f30380 ffff8800bbe8fee0 ffffffffa1091901 0000000000000000
Aug 15 16:33:03 yellowstone kernel:  000000007152519e ffff8800a89d1480 0000000000000000 0000000000000000
Aug 15 16:33:03 yellowstone kernel: Call Trace:
Aug 15 16:33:03 yellowstone kernel:  [<ffffffffa1091901>] nfs3_listxattr+0x51/0xa8 [nfsv3]
Aug 15 16:33:03 yellowstone kernel:  [<ffffffff8120aef2>] vfs_listxattr+0x42/0x70
Aug 15 16:33:03 yellowstone kernel:  [<ffffffff8120b1fd>] listxattr+0x10d/0x120
Aug 15 16:33:03 yellowstone kernel:  [<ffffffff8120c03a>] SyS_flistxattr+0x5a/0xc0
Aug 15 16:33:03 yellowstone kernel:  [<ffffffff816ff9e9>] system_call_fastpath+0x16/0x1b
Aug 15 16:33:03 yellowstone kernel: Code: 0f 1f 44 00 00 55 48 89 e5 41 57 49 89 cf 41 56 4d 8b 31 41 55 49 89 d5 41 54 4d 89 c...4 48 8d 
Aug 15 16:33:03 yellowstone kernel: RIP  [<ffffffffa109130b>] nfs3_list_one_acl+0x2b/0x80 [nfsv3]
Aug 15 16:33:03 yellowstone kernel:  RSP <ffff8800bbe8fe80>
Aug 15 16:33:03 yellowstone kernel: CR2: ffffffffffffffa1
Aug 15 16:33:03 yellowstone kernel: ---[ end trace 332d0e35d1f5660f ]---

Comment 1 John 2014-08-15 14:42:47 UTC
Created attachment 927137 [details]
journal

Comment 2 John 2014-08-16 23:22:09 UTC
same problem with kernel 3,15,9

Comment 3 Peter Bieringer 2014-08-18 05:03:17 UTC
Found same issue during run of "duplicity" with folder on NFS as backup destination

Last working kernel here: kernel-3.15.7-200.fc20.i686

Problematic kernels: kernel-3.15.10-200.fc20.i686, 3.15.8-200.fc20.i686

Duplicity: duplicity-0.6.24-2.fc20.i686
Arch: i686

Everything else on the system is up-to-date

Comment 4 Ryan Gillette 2014-08-21 02:57:09 UTC
Same issue here with any kernel newer then 3.15.7-200.fc20.x86_64

Comment 5 Ryan Gillette 2014-08-21 03:56:39 UTC
Using cp and mv I am able to move files to and from my NFS mounts and local machine in both directions. It only fails when trying to copy files with in Nautilus.

Comment 6 John 2014-08-31 16:43:43 UTC
Today I updated to kernel 3.15.10-201 and it works again.

Comment 7 Peter Bieringer 2014-08-31 17:35:01 UTC
3.15.10-201.fc20.i686 works for me too, issue looks like fixed, according to changelog this looks a duplicate:

* Di Aug 19 2014 Josh Boyer <jwboyer@fedoraproject.org>
- Fix NFSv3 oops (rhbz 1131551)

Comment 8 Fedora End Of Life 2015-05-29 12:38:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 22:05:10 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.